﻿@import url('https://fonts.googleapis.com/css2?family=Material+Symbols+Outlined:opsz,wght,FILL,GRAD@20..48,100..700,0..1,-50..200');

body {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    background-image: url('/img/proalpha-bg.png');
    background-size: cover;
}

.container {
  max-width: 400px;
  background-color: #fff;
  padding: 20px;
  border-radius: 5px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}
.provideUsernameOrEmail {
    margin: 10px;
    display: block;
    text-align: center;
    font-size: 14px;
}
.description {
    display: block;
    text-align: center;
    font-weight: bold;
    font-size: 14px;
}
.title {
    text-align: center;
    color: #014e86;
    font-size: 18px;
    font-weight: bold;
    margin-bottom: 20px;
}
.title-token-expired {
    text-align: center;
    color: red;
    font-size: 20px;
    font-weight: bold;
    margin-bottom: 20px;
}

.form-group {
  margin-bottom: 20px;
}

.form-group label {
  display: block;
  margin-bottom: 5px;
  color: #333;
  font-weight: bold;
}

.form-group input[type="text"],
.form-group input[type="password"] {
  width: 100%;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 3px;
}

.show-password {
  position: relative;
}

.show-password input[type="password"] {
  padding-right: 35px;
}

.show-password .toggle-password {
  position: absolute;
  top: 70%;
  right: 10px;
  transform: translateY(-50%);
  cursor: pointer;
}

.show-password .toggle-password::before {
  content: "\E8F4";
  font-family: "Material Symbols Outlined";
  font-size: 24px;
  color: #999;
}

.show-password .toggle-password.active::before {
  content: "\E8F5";
  font-family: "Material Symbols Outlined";
  font-size: 24px;
  color: #0099ff;
}

.submit-button {
    background-color: #014e86;
    color: #fff;
    border: none;
    padding: 10px 20px;
    border-radius: 3px;
    cursor: pointer;
    width: 100%;
}
.output {
    margin-top: 10px;
    font-weight: bold;
}

.output.error {
    color: red;
}

.output.success {
    color: green;
}
.password-requirements .checked {
    text-decoration: line-through;
    color: #999;
}

.password-requirements {
    margin-top: 10px;
}
.password-requirements:after {
    content: "";
    display: table;
    clear: both;
}
.password-requirements ul li {
    list-style: none;
    text-indent: -40px;
    white-space: nowrap;
    margin: 10px;
}
.password-requirements .column li::before {
    visibility: hidden;
}
.password-requirements p {
    font-weight: bold;
}
.column {
    float: left;
    width: 50%;
    margin-top: -20px;
}
.message{
    text-align: center;
}
.AllRequirements p {
    font-weight: bold;
    padding: 0px;
    margin-bottom: 0px;
}
.AllRequirements{
    margin-bottom: 20px;
}
.loader {
    border: 4px solid #f3f3f3;
    border-top: 4px solid #3498db;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    animation: spin 2s linear infinite;
    margin: 0 auto;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}
.readonly {
    background-color: #f2f2f2; 
    color: #666666;
    cursor: not-allowed;
}
.error-message {
    color: red;
}
.radio-buttons {
    display: flex;
    align-items: center;
    justify-content: center;
}

.radio-label {
    margin-right: 10px;
}

